libwpd: WP6PrefixDataPacket Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WP6PrefixDataPacket Class Reference

`#include <WP6PrefixDataPacket.h>`

Inheritance diagram for WP6PrefixDataPacket:

List of all members.

## Public Member Functions
| WP6PrefixDataPacket (WPXInputStream *input)
virtual | ~WP6PrefixDataPacket ()
virtual void | parse (WP6Listener *listener) const
virtual WP6SubDocument * | getSubDocument () const
## Static Public Member Functions
static WP6PrefixDataPacket * | constructPrefixDataPacket (WPXInputStream *input, WP6PrefixIndice *prefixIndice)
## Protected Member Functions
virtual void | _readContents (WPXInputStream *input)=0
void | _read (WPXInputStream *input, uint32_t dataOffset, uint32_t dataSize)

## Constructor & Destructor Documentation

WP6PrefixDataPacket::WP6PrefixDataPacket | ( | WPXInputStream * | input | ) |

virtual WP6PrefixDataPacket::~WP6PrefixDataPacket | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void WP6PrefixDataPacket::_read | ( | WPXInputStream * | input,
|  | uint32_t | dataOffset,
|  | uint32_t | dataSize
| ) | `[protected]`

virtual void WP6PrefixDataPacket::_readContents | ( | WPXInputStream * | input | ) | `[protected, pure virtual]`

| Implemented in WP6DefaultInitialFontPacket, WP6ExtendedDocumentSummaryPacket, WP6FillStylePacket, WP6FontDescriptorPacket, WP6GeneralTextPacket, and WP6OutlineStylePacket.

WP6PrefixDataPacket * WP6PrefixDataPacket::constructPrefixDataPacket | ( | WPXInputStream * | input,
|  | WP6PrefixIndice * | prefixIndice
| ) | `[static]`

virtual WP6SubDocument* WP6PrefixDataPacket::getSubDocument | ( |  | ) | const`[inline, virtual]`

| Reimplemented in WP6GeneralTextPacket.

virtual void WP6PrefixDataPacket::parse | ( | WP6Listener * | listener | ) | const`[inline, virtual]`

| Reimplemented in WP6DefaultInitialFontPacket, WP6ExtendedDocumentSummaryPacket, WP6FillStylePacket, WP6GeneralTextPacket, and WP6OutlineStylePacket.

The documentation for this class was generated from the following files:

- WP6PrefixDataPacket.h
- WP6PrefixDataPacket.cpp